## latexdiff 1.1.1

=== Makefile ===
# Modify these paths to the requirements of your own system
# For the current setting you will need root permission but 
# it is perfectly acceptable to choose user directories 
#
INSTALLPATH = /usr/local
INSTALLMANPATH = $(INSTALLPATH)/man
INSTALLEXECPATH = $(INSTALLPATH)/bin

default:
	@echo "To install stand-alone version type:    make install"
	@echo "  (Note the standard version requires prior installation"
	@echo "   of the PERL package Algorithm::Diff available from "
	@echo "   the PERL archive www.cpan.org)"
	@echo " "
	@echo "To install fast version (using UNIX diff) type: make install fast "
	@echo " "
	@echo "To install the version which uses the system Algorithm::Diff package type: make install-ext"
	@echo " "

install: install-so

install-ext: install-latexdiff install-latexrevise install-latexdiff-vc install-man

install-so: install-latexdiff-so install-latexrevise install-latexdiff-vc install-man

install-fast: install-latexdiff-fast install-latexrevise install-latexdiff-vc install-man

install-man:
	install latexrevise.1 latexdiff.1 latexdiff-vc.1 $(INSTALLMANPATH)/man1

install-latexdiff:
	install latexdiff $(INSTALLEXECPATH)

install-latexdiff-so:
	if [ -e $(INSTALLEXECPATH)/latexdiff ]; then rm $(INSTALLEXECPATH)/latexdiff; fi
	install latexdiff-so $(INSTALLEXECPATH)
	cd $(INSTALLEXECPATH); ln -s latexdiff-so latexdiff

install-latexdiff-fast:
	if [ -e $(INSTALLEXECPATH)/latexdiff ]; then rm $(INSTALLEXECPATH)/latexdiff; fi
	install latexdiff-fast $(INSTALLEXECPATH)
	cd $(INSTALLEXECPATH); ln -s latexdiff-fast latexdiff

install-latexrevise:
	install latexrevise $(INSTALLEXECPATH)

install-latexdiff-vc:
	install latexdiff-vc $(INSTALLEXECPATH)
	cd $(INSTALLEXECPATH); for vcs in cvs rcs svn git hg ; do if [ -e latexdiff-$$vcs ]; then rm latexdiff-$$vcs; fi; ln -s latexdiff-vc latexdiff-$$vcs ; done

test-ext: 
	@echo "latexdiff example/example-draft.tex example/example-rev.tex (system Algorithm::Diff)"
	./latexdiff -V example/example-draft.tex example/example-rev.tex > example/example-diff.tex
	@echo "Difference file created: example/example-diff.tex"

test-so: 
	@echo "latexdiff example/example-draft.tex example/example-rev.tex (stand-alone version)"
	./latexdiff-so -V example/example-draft.tex example/example-rev.tex > example/example-diff.tex
	@echo "Difference file created: example/example-diff.tex"

test-fast: 
	@echo "latexdiff example/example-draft.tex example/example-rev.tex (stand-alone version)"
	./latexdiff-fast -V example/example-draft.tex example/example-rev.tex > example/example-diff.tex
	@echo "Difference file created: example/example-diff.tex"

## latexdiff 0.5

=== debian/changelog ===
latexdiff (0.5-4) unstable; urgency=low

  [ Damyan Ivanov ]
  * move VCS-* from apps/ to packages/

  [ David Bremner ]
  * Add build-depends on texlive-generic-recommended
    (Closes: #666581).
  * Update Standards-Version to 3.9.3 (no changes)

  [ gregor herrmann ]
  * Set debhelper compatibility level to 8.
  * debian/copyright: update to Copyright-Format 1.0.
  * Update years of packaging copyright.

 -- David Bremner <bremner@debian.org>  Sun, 01 Apr 2012 10:52:43 -0300

latexdiff (0.5-3) experimental; urgency=low

  Implement two suggestions of Vincent Lefevre:

     - Choose either pdftex or dvips options for changebar using ifpdf
     (Closes: #598735).
     - Add equation* to known math environments. (Closes: #598736)

  * Update Standards-Version to 3.9.1 (No changes).

 -- David Bremner <bremner@debian.org>  Sat, 11 Dec 2010 21:00:58 -0400

latexdiff (0.5-2) unstable; urgency=low

  * Update debian/copyright to document presense of inlined
    copies of Algorithm::Diff.

  * Update Standards-Version to 3.8.3 (No changes).

 -- David Bremner <bremner@unb.ca>  Sun, 16 Aug 2009 13:25:23 -0300

latexdiff (0.5-1) unstable; urgency=low

  * Initial release (Closes: #504411)

 -- David Bremner <bremner@unb.ca>  Wed, 12 Aug 2009 09:00:58 -0300

=== debian/control ===
Source: latexdiff
Section: tex
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 8), texlive-latex-base, texlive-generic-recommended
Standards-Version: 3.9.3
Homepage: http://bullard.esc.cam.ac.uk/~tilmann/soft.html
Vcs-Git: git://git.debian.org/git/pkg-perl/packages/latexdiff.git
Vcs-Browser: http://git.debian.org/?p=pkg-perl/packages/latexdiff.git

Package: latexdiff
Architecture: all
Depends: perl, ${misc:Depends}, ${perl:Depends}
Suggests: subversion | cvs | rcs
Recommends: texlive-latex-base, texlive-latex-extra
Description: utility to mark up significant differences between LaTeX files
 latexdiff compares two LaTeX files and marks up significant differences
 between them (i.e. a diff for LaTeX files). It generates a new LaTeX file
 containing the annotated differences.
 .
 Various options are available for visual markup using standard LaTeX packages
 such as 'color.sty'. Changes not directly affecting visible text, for example
 in formatting commands, are still marked in the LaTeX source. 
 .
 A rudimentary revision facilility is provided by another Perl script,
 'latexrevise', which accepts or rejects all changes. Manual editing of the
 difference file can be used to override this default behaviour and accept or
 reject selected changes only.

=== debian/rules ===
#!/usr/bin/make -f

%.1: %
	pod2man $< $@
%: 
	dh $@


override_dh_auto_build: latexdiff.1  latexdiff-vc.1  latexrevise.1 latexdiff-man.pdf

override_dh_auto_install: 
	make install-latexdiff-fast install-latexrevise install-latexdiff-vc INSTALLPATH=$(CURDIR)/debian/latexdiff/usr

latexdiff-man.pdf: debian/latexdiff-man.tex debian/Makefile.manual
	make -f debian/Makefile.manual latexdiff-man.pdf

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d\.\d)(\d)/$1.$2/"\
	http://bullard.esc.cam.ac.uk/~tilmann/software/latexdiff-(.*)\.tar\.gz

## latexdiff 1.0.2

=== debian/changelog ===
latexdiff (1.0.2-1) unstable; urgency=low

  * New upstream version
    Closes: #703410
  * Fix broken symlinks to /usr/bin/latexdiff-vc, add new one for git
    support.
  * Add new patch "file-copy" to replace use of system with File::Copy

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.
  * Remove debian/latexdiff-man.tex, now included in doc/.
  * debian/copyright: update upstream copyright and license information.
  * Update build and install steps. The upstream Makefile is gone, and
    some files have changed location.
  * Patches: Refresh 0001-Make-the-choice-of-dvips-or-pdftex-optional-
    conditio.patch (offset), drop 0002-Add-equation-to-the-regular-
    expression-for-math-envi.patch (merged upstream). Add a patch to fix a POD
    error.
  * Register PDF manual with doc-base.
  * Fix hashbang in example script.
  * Set Standards-Version to 3.9.4 (no changes).

 -- David Bremner <bremner@debian.org>  Thu, 02 May 2013 22:27:28 -0300

=== debian/control ===
Source: latexdiff
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Section: tex
Priority: optional
Build-Depends: debhelper (>= 8),
               texlive-latex-base,
               texlive-generic-recommended
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=pkg-perl/packages/latexdiff.git
Vcs-Git: git://anonscm.debian.org/git/pkg-perl/packages/latexdiff.git
Homepage: http://bullard.esc.cam.ac.uk/~tilmann/soft.html

Package: latexdiff
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: texlive-latex-base,
            texlive-latex-extra
Suggests: subversion | cvs | rcs
Description: utility to mark up significant differences between LaTeX files
 latexdiff compares two LaTeX files and marks up significant differences
 between them (i.e. a diff for LaTeX files). It generates a new LaTeX file
 containing the annotated differences.
 .
 Various options are available for visual markup using standard LaTeX packages
 such as 'color.sty'. Changes not directly affecting visible text, for example
 in formatting commands, are still marked in the LaTeX source. 
 .
 A rudimentary revision facilility is provided by another Perl script,
 'latexrevise', which accepts or rejects all changes. Manual editing of the
 difference file can be used to override this default behaviour and accept or
 reject selected changes only.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%.1: %
	pod2man $< $@

%:
	dh $@

override_dh_auto_build: latexdiff.1  latexdiff-vc.1  latexrevise.1 latexdiff-man.pdf

latexdiff-man.pdf: doc/latexdiff-man.tex debian/Makefile.manual
	make -f debian/Makefile.manual latexdiff-man.pdf

override_dh_installexamples:
	dh_installexamples
	sed -i '1s|^#! /bin/env python|#!/usr/bin/python|' $(TMP)/usr/share/doc/$(PACKAGE)/examples/contrib/latexchanges.py

=== debian/watch ===
version=3

opts=downloadurlmangle=s/prdownload/download/ \
   http://developer.berlios.de/project/showfiles.php?group_id=13015 \
   http://prdownload.berlios.de/latexdiff/latexdiff-(.+).tar.gz

## latexdiff 1.0.4

=== debian/changelog ===
latexdiff (1.0.4-1) unstable; urgency=low

  [ David Bremner ]
  * debian/patches:  add DEP3-ish header for Bug URL

  [ gregor herrmann ]
  * Update Homepage field in debian/control. (Closes: #714966)
    Thanks to Stuart Prescott.
  * Update Source in debian/copyright to CTAN as well.
  * debian/watch: use fakupstream.cgi's CTAN redirector.
  * Add debian/gbp.conf.
    Filter out *.1 files on git-import-orig, since we're cleaning and
    regenerating them.

  * New upstream releases 1.0.3, 1.0.4.
  * Update patches.
    Refresh 0001-Make-the-choice-of-dvips-or-pdftex-optional-conditio.patch
    (offset). Drop file-copy.patch and pod-error.patch (applied upstream).
  * debian/rules: add empty override_dh_auto_install to ignore install
    target in new upstream Makefile.
  * Update upstream email address in debian/copyright.
  * debian/copyright: update years for latexdiff-vc.
  * debian/control: update URLs in Vcs-* fields.
  * Declare compliance with Debian Policy 3.9.5.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

 -- gregor herrmann <gregoa@debian.org>  Thu, 21 Aug 2014 15:28:51 -0700

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 8),
                texlive-latex-base,
                texlive-generic-recommended
-Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=pkg-perl/packages/latexdiff.git
-Vcs-Git: git://anonscm.debian.org/git/pkg-perl/packages/latexdiff.git
-Homepage: http://bullard.esc.cam.ac.uk/~tilmann/soft.html
+Standards-Version: 3.9.5
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/latexdiff.git
+Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/latexdiff.git
+Homepage: http://www.ctan.org/pkg/latexdiff
 
 Package: latexdiff
 Architecture: all

## latexdiff 1.1.0

=== debian/changelog ===
latexdiff (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * Add texlive-generic-recommended to Recommends.
    Thanks to Itaï BEN YAACOV for the bug report. (Closes: #807042)
  * New upstream release.
  * debian/gbp.conf: update section name.
  * Add debian/upstream/metadata.
  * Refresh dvips/pdftext patch (offset).
  * debian/latexdiff.links: add symlinks for latexdiff-hg.
  * Add git and mercurial to Suggests.
  * Update years of upstream copyright.
  * Bump debhelper compatibility level to 9.
  * Declare compliance with Debian Policy 3.9.6.
  * Add build dependency on libpod-latex-perl for /usr/bin/pod2latex.

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 Dec 2015 18:35:04 +0100

## latexdiff 1.1.1

=== debian/changelog ===
latexdiff (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.1.1.
  * Refresh 0001-Make-the-choice-of-dvips-or-pdftex-optional-
    conditio.patch (offset)

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 Jan 2016 19:04:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Uploaders: David Bremner <bremner@debian.org>
 Section: tex
 Priority: optional
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
+               perl,
+               libpod-latex-perl,
                texlive-latex-base,
                texlive-generic-recommended
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/latexdiff.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/latexdiff.git
 Homepage: http://www.ctan.org/pkg/latexdiff
@@ -16,8 +18,9 @@
 Depends: ${perl:Depends},
          ${misc:Depends}
 Recommends: texlive-latex-base,
-            texlive-latex-extra
-Suggests: subversion | cvs | rcs
+            texlive-latex-extra,
+            texlive-generic-recommended
+Suggests: git | subversion | mercurial | cvs | rcs
 Description: utility to mark up significant differences between LaTeX files
  latexdiff compares two LaTeX files and marks up significant differences
  between them (i.e. a diff for LaTeX files). It generates a new LaTeX file

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 
 override_dh_auto_build: latexdiff.1  latexdiff-vc.1  latexrevise.1 latexdiff-man.pdf
 
+override_dh_auto_install:
+	# ignore install target from new upstream Makefile
+
 latexdiff-man.pdf: doc/latexdiff-man.tex debian/Makefile.manual
 	make -f debian/Makefile.manual latexdiff-man.pdf

=== debian/watch ===
version=3

http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=ctan/latexdiff .*latexdiff-([\d.]+)\.zip$

## latexdiff 1.2.1

=== debian/changelog ===
latexdiff (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "new upstream version avaioable (1.2.0 released on 16 Aug
    2016)", thanks to Sylwester Arabas (Closes: #856059).
  * Perl 2.6 compatibility fix: (Closes: #870099).

 -- David Bremner <bremner@debian.org>  Mon, 31 Jul 2017 16:29:26 -0400

latexdiff (1.1.1-2) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ intrigeri ]
  * New patch: don't embed build date into documentation, for build
    reproducibility. Thanks to Reiner Herrmann <reiner@reiner-h.de>
    for the patch! (Closes: #814019)
  * Declare compliance with Standards-Version 3.9.8.

 -- intrigeri <intrigeri@debian.org>  Thu, 30 Jun 2016 14:15:29 +0000

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                libpod-latex-perl,
                texlive-latex-base,
                texlive-generic-recommended
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/latexdiff.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/latexdiff.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/latexdiff.git
 Homepage: http://www.ctan.org/pkg/latexdiff
 
 Package: latexdiff

## latexdiff 1.3.0

=== Makefile ===
--- 
+++ 
@@ -26,26 +26,26 @@
 install-fast: install-latexdiff-fast install-latexrevise install-latexdiff-vc install-man
 
 install-man:
-	install latexrevise.1 latexdiff.1 latexdiff-vc.1 $(INSTALLMANPATH)/man1
+	install -m 644 -D -t $(INSTALLMANPATH)/man1 latexrevise.1 latexdiff.1 latexdiff-vc.1
 
 install-latexdiff:
-	install latexdiff $(INSTALLEXECPATH)
+	install -D -t $(INSTALLEXECPATH) latexdiff
 
 install-latexdiff-so:
 	if [ -e $(INSTALLEXECPATH)/latexdiff ]; then rm $(INSTALLEXECPATH)/latexdiff; fi
-	install latexdiff-so $(INSTALLEXECPATH)
+	install -D -t $(INSTALLEXECPATH) latexdiff-so
 	cd $(INSTALLEXECPATH); ln -s latexdiff-so latexdiff
 
 install-latexdiff-fast:
 	if [ -e $(INSTALLEXECPATH)/latexdiff ]; then rm $(INSTALLEXECPATH)/latexdiff; fi
-	install latexdiff-fast $(INSTALLEXECPATH)
+	install -D -t $(INSTALLEXECPATH) latexdiff-fast
 	cd $(INSTALLEXECPATH); ln -s latexdiff-fast latexdiff
 
 install-latexrevise:
-	install latexrevise $(INSTALLEXECPATH)
+	install -D -t $(INSTALLEXECPATH) latexrevise
 
 install-latexdiff-vc:
-	install latexdiff-vc $(INSTALLEXECPATH)
+	install -D -t $(INSTALLEXECPATH) latexdiff-vc
 	cd $(INSTALLEXECPATH); for vcs in cvs rcs svn git hg ; do if [ -e latexdiff-$$vcs ]; then rm latexdiff-$$vcs; fi; ln -s latexdiff-vc latexdiff-$$vcs ; done
 
 test-ext:

=== debian/changelog ===
latexdiff (1.3.0-2) unstable; urgency=medium

  * Team upload.

  [ Peter Pentchev ]
  * Recommend texlive-plain-generic instead of texlive-generic-
    recommended.
    Reported by: Julian Gilbey <jdg@debian.org>
    Closes: #921502
  * Add "Rules-Requires-Root: no" to the source control stanza.

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.4.1.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Thu, 02 Jan 2020 22:02:27 +0100

latexdiff (1.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian wrong-path-for-interpreter error
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/gbp.conf: filter more generated files on import.
  * Import upstream version 1.3.0.
  * Update years of upstream copyright.
  * Refresh 0001-Make-the-choice-of-dvips-or-pdftex-optional-
    conditio.patch (offset).
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper compatibility level to 11.
  * Add texlive-latex-recommended to Build-Depends and Recommends.
    Needed for the listings package.
  * Use HTTPS for a couple of URLs in debian/*.

 -- gregor herrmann <gregoa@debian.org>  Wed, 26 Dec 2018 18:37:05 +0100

=== debian/control ===
Source: latexdiff
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Section: tex
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libpod-latex-perl,
               perl,
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-plain-generic
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/latexdiff
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/latexdiff.git
Homepage: https://www.ctan.org/pkg/latexdiff
Rules-Requires-Root: no

Package: latexdiff
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Recommends: texlive-latex-base,
            texlive-latex-extra,
            texlive-latex-recommended,
            texlive-plain-generic
Suggests: git | subversion | mercurial | cvs | rcs
Description: utility to mark up significant differences between LaTeX files
 latexdiff compares two LaTeX files and marks up significant differences
 between them (i.e. a diff for LaTeX files). It generates a new LaTeX file
 containing the annotated differences.
 .
 Various options are available for visual markup using standard LaTeX packages
 such as 'color.sty'. Changes not directly affecting visible text, for example
 in formatting commands, are still marked in the LaTeX source.
 .
 A rudimentary revision facilility is provided by another Perl script,
 'latexrevise', which accepts or rejects all changes. Manual editing of the
 difference file can be used to override this default behaviour and accept or
 reject selected changes only.

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,11 @@
 override_dh_auto_install:
 	# ignore install target from new upstream Makefile
 
+override_dh_install:
+	dh_install
+	find $(TMP)/usr/bin -type f -print0 | \
+		xargs -r0 sed -i -e '1s|^#!/usr/bin/env perl|#!/usr/bin/perl|'
+
 latexdiff-man.pdf: doc/latexdiff-man.tex debian/Makefile.manual
 	make -f debian/Makefile.manual latexdiff-man.pdf

## latexdiff 1.3.1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	@echo "   of the PERL package Algorithm::Diff available from "
 	@echo "   the PERL archive www.cpan.org)"
 	@echo " "
-	@echo "To install fast version (using UNIX diff) type: make install fast "
+	@echo "To install fast version (using UNIX diff) type: make install-fast "
 	@echo " "
 	@echo "To install the version which uses the system Algorithm::Diff package type: make install-ext"
 	@echo " "
@@ -62,3 +62,13 @@
 	@echo "latexdiff example/example-draft.tex example/example-rev.tex (stand-alone version)"
 	./latexdiff-fast -V example/example-draft.tex example/example-rev.tex > example/example-diff.tex
 	@echo "Difference file created: example/example-diff.tex"
+
+uninstall:
+# -f is needed to ignore missing files
+	@rm -f $(INSTALLPATH)/bin/latexdiff{,-cvs,-git,-hg,-rcs,-so,-svn,-vc,-fast} $(INSTALLPATH)/bin/latexrevise
+	@rm -f $(INSTALLPATH)/man/man1/latex{diff{,-vc},revise}.1
+# maybe remove potentially empty directories
+	@rmdir --ignore-fail-on-non-empty $(INSTALLPATH)/bin
+	@rmdir --ignore-fail-on-non-empty $(INSTALLPATH)/man/man1
+	@rmdir --ignore-fail-on-non-empty $(INSTALLPATH)/man
+	@rmdir --ignore-fail-on-non-empty $(INSTALLPATH)

=== debian/changelog ===
latexdiff (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.3.1
  * Refresh 0001-Make-the-choice-of-dvips-or-pdftex-optional-
    conditio.patch (offset).
  * Declare compliance with Debian Policy 4.5.0.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Mon, 01 Jun 2020 19:45:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: David Bremner <bremner@debian.org>
 Section: tex
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libpod-latex-perl,
                perl,
                texlive-latex-base,
                texlive-latex-recommended,
                texlive-plain-generic
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/latexdiff
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/latexdiff.git
 Homepage: https://www.ctan.org/pkg/latexdiff

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 %:
 	dh $@
 
-override_dh_auto_build: latexdiff.1  latexdiff-vc.1  latexrevise.1 latexdiff-man.pdf
+override_dh_auto_build: latexdiff.1 latexdiff-vc.1 latexrevise.1 latexdiff-man.pdf
 
 override_dh_auto_install:
 	# ignore install target from new upstream Makefile

=== debian/watch ===
version=4
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=ctan/latexdiff .*latexdiff-([\d.]+)\.zip$

## latexdiff 1.3.2

=== debian/changelog ===
latexdiff (1.3.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + latexdiff: Add Multi-Arch: foreign.
  * Set Testsuite header for perl package.
  * Update standards version to 4.5.1, no changes needed.

  [ gregor herrmann ]
  * Import upstream versions 1.3.1.1, 1.3.2.
    The latter fixes compilation failure with \cite -- closes: #992023
  * Update years of upstream copyright.
  * Update 0001-Make-the-choice-of-dvips-or-pdftex-optional-
    conditio.patch. Since 1.3.2 the default driver is changed from dvips
    to pdftex. Still keep the conditional to use pdftex when creating PDFs
    and dvips otherwise.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Thu, 14 Jul 2022 18:08:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: David Bremner <bremner@debian.org>
 Section: tex
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libpod-latex-perl,
@@ -9,7 +10,7 @@
                texlive-latex-base,
                texlive-latex-recommended,
                texlive-plain-generic
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/latexdiff
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/latexdiff.git
 Homepage: https://www.ctan.org/pkg/latexdiff
@@ -17,6 +18,7 @@
 
 Package: latexdiff
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${perl:Depends}
 Recommends: texlive-latex-base,
